Bug 493928 - S-c-tools cleanup: use standard about dialog and license.
S-c-tools cleanup: use standard about dialog and license.
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: system-config-samba (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Nils Philippsen
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks: 493610
  Show dependency treegraph
 
Reported: 2009-04-03 06:16 EDT by Roman Rakus
Modified: 2014-01-12 19:08 EST (History)
4 users (show)

See Also:
Fixed In Version: system-config-samba-1.2.86-1.fc12
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-02-26 22:33:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed patch that replace current about dialog with standard gtk version (3.60 KB, patch)
2009-07-28 08:53 EDT, Radek Novacek
no flags Details | Diff

  None (edit)
Description Roman Rakus 2009-04-03 06:16:26 EDT
Description of problem
Every tool should have standard gtk (glade) about dialog and license.

How reproducible
Steps to Reproduce
menu -> help -> about

Actual results
Missing about dialog and/or bad format.

Expected results
Standard format dialog like in system-config-firewall

Additional info
About dialog can be easily created using GtkAboutDialog. See http://www.pygtk.org/docs/pygtk/class-gtkaboutdialog.html
Comment 1 Radek Novacek 2009-07-28 08:53:04 EDT
Created attachment 355406 [details]
Proposed patch that replace current about dialog with standard gtk version
Comment 2 Nils Philippsen 2009-12-30 09:12:48 EST
implemented (a bit differently) upstream in git commit 9e733e7cd10faad4f0f165be4b18f030e713d41f
Comment 3 Fedora Update System 2010-02-09 06:19:56 EST
system-config-samba-1.2.84-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/system-config-samba-1.2.84-1.fc12
Comment 4 Fedora Update System 2010-02-09 15:59:25 EST
system-config-samba-1.2.84-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update system-config-samba'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2010-1666
Comment 5 Fedora Update System 2010-02-11 23:48:31 EST
system-config-samba-1.2.86-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update system-config-samba'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2010-1666
Comment 6 Fedora Update System 2010-02-26 22:33:14 EST
system-config-samba-1.2.86-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.